aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlton MacDonald <alton.kenneth.macdonald@fokus.fraunhofer.de>2013-10-23 12:08:34 +0200
committerAlton MacDonald <alton.kenneth.macdonald@fokus.fraunhofer.de>2013-10-23 12:08:34 +0200
commit3042487de49fc727e4ff7a0eee517c3f5642dacc (patch)
treeee9b4a91196bd2ceea7c294eae001bf8e461f823
parent460ca20a899109202c22a1faa667f5caaefa51b8 (diff)
Added init script
-rw-r--r--README.txt9
-rwxr-xr-xosmo-oohmi23
2 files changed, 31 insertions, 1 deletions
diff --git a/README.txt b/README.txt
index b0f004d..2ddf6c6 100644
--- a/README.txt
+++ b/README.txt
@@ -49,9 +49,11 @@ Installation & Configuration:
2) Install the python dependencies
sudo python setup.py install
+ cp production.ini /etc/openbsc/production.ini
3) Run the Server:
+ cd /etc/openbsc/
pserve production.ini start
OPTIONAL:
@@ -59,6 +61,11 @@ Installation & Configuration:
pserver --help
-4) Access the Web Interface
+4) Install init script
+
+ sudo cp osmo-oohmi /etc/init.d/osmo-oohmi
+ sudo update-rc.d osmo-oohmi defaults
+
+5) Access the Web Interface
http://localhost:8080/
diff --git a/osmo-oohmi b/osmo-oohmi
new file mode 100755
index 0000000..10bfff8
--- /dev/null
+++ b/osmo-oohmi
@@ -0,0 +1,23 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: osmo-oohmi
+# Required-Start: $network $local_fs
+# Required-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: OpenBSC and OsmoSGSN HLR Management Interface
+# Description: Web Management interface for OpenBSC, OsmoSGSN, GGSN, Asterisk and LCR services.
+### END INIT INFO
+cd /etc/openbsc/
+case "$1" in
+ start)
+ /usr/local/bin/pserve production.ini start ;;
+ stop)
+ /usr/local/bin/pserve production.ini stop ;;
+ restart)
+ /usr/local/bin/pserve production.ini restart ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1 ;;
+esac
+exit 0